Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo
Class JDOMetaDataFactory

    java.lang.Object
      org.apache.openjpa.meta.AbstractMetaDataFactory
          org.apache.openjpa.meta.AbstractCFMetaDataFactory
              kodo.jdo.JDOMetaDataFactory

All Implemented Interfaces:
  org.apache.openjpa.enhance.ApplicationIdTool.ObjectIdLoader, org.apache.openjpa.meta.MetaDataFactory, org.apache.openjpa.meta.MetaDataModes

Direct Known Subclasses:
  DeprecatedJDOMetaDataFactory, JDORMappingFactory, ORMFileJDORMappingFactory

    public class JDOMetaDataFactory

extends org.apache.openjpa.meta.AbstractCFMetaDataFactory
implements org.apache.openjpa.enhance.ApplicationIdTool.ObjectIdLoader

JDO-compliant `MetaDataFactory`.

Since:
  4.0

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`org.apache.openjpa.meta.AbstractCFMetaDataFactory.Parser, org.apache.openjpa.meta.AbstractCFMetaDataFactory.Serializer`

Field Summary

Fields inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`cpath, files, rsrcs, urls`

Fields inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`dir, log, repos, store, strict, types`

Fields inherited from interface org.apache.openjpa.meta.MetaDataFactory
`STORE_DEFAULT, STORE_PER_CLASS, STORE_VERBOSE`

Fields inherited from interface org.apache.openjpa.meta.MetaDataModes
`MODE_MAPPING, MODE_MAPPING_INIT, MODE_META, MODE_NONE, MODE_QUERY`

Constructor Summary
`JDOMetaDataFactory()`

Method Summary
`void` | `addClassExtensionKeys(Collection exts)`
`void` | `addFieldExtensionKeys(Collection exts)`
`void` | `clear()`
`protected File` | `defaultSourceFile(org.apache.openjpa.meta.ClassMetaData meta)`
`protected File` | `defaultSourceFile(org.apache.openjpa.meta.QueryMetaData query, Map clsNames)`
`protected File` | `defaultSourceFile(org.apache.openjpa.meta.SequenceMetaData seq, Map clsNames)`
`org.apache.openjpa.meta.MetaDataDefaults` | `getDefaults()`
`protected String` | `getMetaDataSuffix()` Metadata file suffix.
`kodo.jdo.JDOMetaDataParser` | `getParser()` Return metadata parser, creating it if it does not already exist.
`boolean` | `isDeclaredInterfacePersistent()` Whether declared interfaces of a given persistent-class are persistence-capable (i.e.
`protected boolean` | `isParseTopDown()`
`boolean` | `isScanTopDown()` Whether to scan for class metadata top-down in the package tree.
`void` | `load(Class cls, int mode, ClassLoader envLoader)`
`org.apache.openjpa.lib.meta.ClassArgParser` | `newClassArgParser()`
`protected org.apache.openjpa.lib.meta.MetaDataFilter` | `newMetaDataFilter()`
`protected org.apache.openjpa.meta.AbstractCFMetaDataFactory.Parser` | `newParser(boolean loading)`
`protected org.apache.openjpa.meta.AbstractCFMetaDataFactory.Serializer` | `newSerializer()`
`void` | `setDeclaredInterfacePersistent(boolean pers)` Whether declared interfaces of a given persistent-class are persistence-capable (i.e.
`void` | `setLoadObjectIds()`
`void` | `setParser(kodo.jdo.JDOMetaDataParser parser)` Set the metadata parser.
`void` | `setScanTopDown(boolean topDown)` Whether to scan for class metadata top-down in the package tree.
`void` | `setUseSchemaValidation(boolean useSchema)` Whether to use XSD schema validation (as opposed to DTD).
`boolean` | `useSchemaValidation()` Whether to use XSD schema validation (as opposed to DTD).

Methods inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`backupAndDelete, clearMapping, drop, getDefiningMetaData, getPersistentTypeNames, getSourceFile, getSourceFile, isMappingOnlyFactory, mapPersistentTypeNames, parse, parse, serialize, setClasspathScan, setClasspathScan, setFiles, setFiles, setResources, setResources, setSourceFile, setSourceFile, setURLs, setURLs, store`

Methods inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`getQueryScope, setRepository, setStoreDirectory, setStoreMode, setStrict, setTypes, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOMetaDataFactory

    public JDOMetaDataFactory()

Method Detail

### isScanTopDown

    public boolean isScanTopDown()

  Whether to scan for class metadata top-down in the package tree. Defaults to false.

### setScanTopDown

    public void setScanTopDown(boolean topDown)

  Whether to scan for class metadata top-down in the package tree. Defaults to false.

### useSchemaValidation

    public boolean useSchemaValidation()

  Whether to use XSD schema validation (as opposed to DTD). Defaults to false.

### setUseSchemaValidation

    public void setUseSchemaValidation(boolean useSchema)

  Whether to use XSD schema validation (as opposed to DTD). Defaults to false.

### isDeclaredInterfacePersistent

    public boolean isDeclaredInterfacePersistent()

  Whether declared interfaces of a given persistent-class are persistence-capable (i.e. able to be queried). Defaults to false.

### setDeclaredInterfacePersistent

    public void setDeclaredInterfacePersistent(boolean pers)

  Whether declared interfaces of a given persistent-class are persistence-capable (i.e. able to be queried). Defaults to false.

### getParser

    public kodo.jdo.JDOMetaDataParser getParser()

  Return metadata parser, creating it if it does not already exist.

### setParser

    public void setParser(kodo.jdo.JDOMetaDataParser parser)

  Set the metadata parser.

### load

    public void load(Class cls,
                     int mode,
                     ClassLoader envLoader)

  Specified by:
    `load` in interface `org.apache.openjpa.meta.MetaDataFactory`

### getDefaults

    public org.apache.openjpa.meta.MetaDataDefaults getDefaults()

  Specified by:
    `getDefaults` in interface `org.apache.openjpa.meta.MetaDataFactory`

### newClassArgParser

    public org.apache.openjpa.lib.meta.ClassArgParser newClassArgParser()

  Specified by:
    `newClassArgParser` in interface `org.apache.openjpa.meta.MetaDataFactory`
  Overrides:
    `newClassArgParser` in class `org.apache.openjpa.meta.AbstractMetaDataFactory`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.openjpa.meta.MetaDataFactory`
  Overrides:
    `clear` in class `org.apache.openjpa.meta.AbstractCFMetaDataFactory`

### addClassExtensionKeys

    public void addClassExtensionKeys(Collection exts)

  Specified by:
    `addClassExtensionKeys` in interface `org.apache.openjpa.meta.MetaDataFactory`
  Overrides:
    `addClassExtensionKeys` in class `org.apache.openjpa.meta.AbstractMetaDataFactory`

### addFieldExtensionKeys

    public void addFieldExtensionKeys(Collection exts)

  Specified by:
    `addFieldExtensionKeys` in interface `org.apache.openjpa.meta.MetaDataFactory`
  Overrides:
    `addFieldExtensionKeys` in class `org.apache.openjpa.meta.AbstractMetaDataFactory`

### newParser

    protected org.apache.openjpa.meta.AbstractCFMetaDataFactory.Parser newParser(boolean loading)

  Specified by:
    `newParser` in class `org.apache.openjpa.meta.AbstractCFMetaDataFactory`

### newSerializer

    protected org.apache.openjpa.meta.AbstractCFMetaDataFactory.Serializer newSerializer()

  Specified by:
    `newSerializer` in class `org.apache.openjpa.meta.AbstractCFMetaDataFactory`

### isParseTopDown

    protected boolean isParseTopDown()

  Overrides:
    `isParseTopDown` in class `org.apache.openjpa.meta.AbstractCFMetaDataFactory`

### defaultSourceFile

    protected File defaultSourceFile(org.apache.openjpa.meta.ClassMetaData meta)

  Specified by:
    `defaultSourceFile` in class `org.apache.openjpa.meta.AbstractCFMetaDataFactory`

### defaultSourceFile

    protected File defaultSourceFile(org.apache.openjpa.meta.QueryMetaData query,
                                     Map clsNames)

  Specified by:
    `defaultSourceFile` in class `org.apache.openjpa.meta.AbstractCFMetaDataFactory`

### defaultSourceFile

    protected File defaultSourceFile(org.apache.openjpa.meta.SequenceMetaData seq,
                                     Map clsNames)

  Specified by:
    `defaultSourceFile` in class `org.apache.openjpa.meta.AbstractCFMetaDataFactory`

### newMetaDataFilter

    protected org.apache.openjpa.lib.meta.MetaDataFilter newMetaDataFilter()

  Specified by:
    `newMetaDataFilter` in class `org.apache.openjpa.meta.AbstractCFMetaDataFactory`

### getMetaDataSuffix

    protected String getMetaDataSuffix()

  Metadata file suffix.

### setLoadObjectIds

    public void setLoadObjectIds()

  Specified by:
    `setLoadObjectIds` in interface `org.apache.openjpa.enhance.ApplicationIdTool.ObjectIdLoader`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.